futhark-0.25.32: An optimising compiler for a functional, array-oriented language.

Safe Haskell | None
Language | GHC2021

Futhark.CodeGen.ImpGen.Multicore.SegScan

Description

Multicore code generation for SegScan. Uses a fairly naive multipass algorithm, with no particular locality optimisations.

Synopsis

- compileSegScan :: Pat LetDecMem -> SegSpace -> [SegBinOp MCMem] -> KernelBody MCMem -> TV Int32 -> MulticoreGen MCCode

# Documentation

compileSegScan :: Pat LetDecMem -> SegSpace -> [SegBinOp MCMem] -> KernelBody MCMem -> TV Int32 -> MulticoreGen MCCode Source #

Compile a SegScan construct.